Subject: Re: bug#27761: Crash while using proof-general/company-coq on OS X

From: John Wiegley <[email-masked]>
Date: Wed, 19 Jul 2017 13:47:49 -0400

This may be hard, but we'll try. It's 100% reproducible in both 25.1 and 25.2, but involves company-coq, Proof General, and some particular source files. 

If I gave you a Docker image within which we can reproduce the problem, could you run that?

John (from my iPhone)

On Jul 19, 2017, at 1:00 PM, Eli Zaretskii <[email-masked]> wrote:

>> From: John Wiegley <[email-masked]>
>> Date: Wed, 19 Jul 2017 09:08:16 -0400
>> Cc: [email-masked]
>> 
>>>>>>> "ДР" == Денис Редозубов <[email-masked]> writes:
>> 
>> ДР> Sometimes when I try to open documentation for a coq tactic with a
>> ДР> C-h(company-coq), emacs crashes on OS X. I can reproduce it with both 25.1
>> ДР> and GNU Emacs 25.2.1 (x86_64-apple-darwin15.0.0, NS appkit-1404.13 Version
>> ДР> 10.11.1 (Build 15B42)
>> 
>> Eli, I was with Denis when this bug occurred, so if there any further steps we
>> can take to track it down further, let me know and we can work on it together.
> 
> What I need is a reproducible recipe.  The crash looks like some
> infinite recursion in the display engine, but it's hard to do anything
> with this without knowing more, like what exactly was in the buffer at
> the position where redisplay loops.
> 
> Thanks.